Loading...
Searching...
No Matches
juce::WildcardFileFilter Class Reference

## Detailed Description

A type of FileFilter that works by wildcard pattern matching.

This filter only allows files that match one of the specified patterns, but allows all directories through.

See also
  FileFilter, DirectoryContentsList, FileListComponent, FileBrowserComponent

The documentation for this class was generated from the following file:

- juce_core/files/juce_WildcardFileFilter.h

Inheritance diagram for juce::WildcardFileFilter:

## Public Member Functions

| WildcardFileFilter (const String &fileWildcardPatterns, const String &directoryWildcardPatterns, const String &filterDescription)
| Creates a wildcard filter for one or more patterns.
| ~WildcardFileFilter () override
| Destructor.
bool | isFileSuitable (const File &file) const override
| Returns true if the filename matches one of the patterns specified.
bool | isDirectorySuitable (const File &file) const override
| This always returns true.
Public Member Functions inherited from juce::FileFilter
| FileFilter (const String &filterDescription)
| Creates a filter with the given description.
virtual | ~FileFilter ()
| Destructor.
const String & | getDescription () const noexcept
| Returns the description that the filter was created with.

## Additional Inherited Members

Protected Attributes inherited from juce::FileFilter
String | description

## Constructors and Destructors

## WildcardFileFilter()

juce::WildcardFileFilter::WildcardFileFilter | ( | const String & | fileWildcardPatterns,
|  | const String & | directoryWildcardPatterns,
|  | const String & | filterDescription )

Creates a wildcard filter for one or more patterns.

The wildcardPatterns parameter is a comma or semicolon-delimited set of patterns, e.g. "*.wav;*.aiff" would look for files ending in either .wav or .aiff.

Passing an empty string as a pattern will fail to match anything, so by leaving either the file or directory pattern parameter empty means you can control whether files or directories are found.

The description is a name to show the user in a list of possible patterns, so for the wav/aiff example, your description might be "audio files".

Referenced by isDirectorySuitable().

## ~WildcardFileFilter()

juce::WildcardFileFilter::~WildcardFileFilter | ( |  | ) |

override

Destructor.

## Member Functions

## isFileSuitable()

bool juce::WildcardFileFilter::isFileSuitable | ( | const File & | file | ) | const

override virtual

Returns true if the filename matches one of the patterns specified.

Implements juce::FileFilter.

## isDirectorySuitable()

bool juce::WildcardFileFilter::isDirectorySuitable | ( | const File & | file | ) | const

override virtual

This always returns true.

Implements juce::FileFilter.

References WildcardFileFilter().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited